import request from '@/config/axios'

// 获得招聘会列表
export const getJobFairList = async () => {
  return await request.get({
    url: '/app-api/menduner/system/job-fair/list'
  })
}

// 保存招聘职位扩展信息
export const saveJobAdvertisedExtend = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/recruit/job-advertised/save/extend',
    data
  })
}

// 获取招聘职位扩展信息
export const getJobAdvertisedExtend = async (jobId) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/job-advertised/get/extend?jobId=' + jobId
  })
}

// 根据招聘会id获取加入的职位列表
export const getJobFairPosition = async (id) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/job-fair/get/by/job-fair?id=' + id
  })
}

// 企业将职位移除招聘会
export const quitJobFairPosition = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/recruit/job-fair/quit',
    data
  })
}

// 企业将职位加入招聘会
export const joinJobFairPosition = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/recruit/job-fair/join',
    data
  })
}